Jikes (Axis API)
Keywords: org.apache.axis.components.compiler.Jikes,Jikes class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.compiler
Class Jikes

    java.lang.Object
      |
      +--org.apache.axis.components.compiler.AbstractCompiler
            |
            +--org.apache.axis.components.compiler.Jikes

All Implemented Interfaces:
  Compiler

public class Jikes
extends AbstractCompiler

This class wraps IBM's Jikes Java compiler NOTE: inspired by the Apache Jasper implementation.

Since:
  2.0
Version:
  $Revision: 1.10 $ $Date: 2002/07/02 18:07:35 $
Author:
  Davanum Srinivas, Stefano Mazzocchi

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.components.compiler.AbstractCompiler
`classpath, destDir, encoding, errors, fileList, srcDir`

Constructor Summary
`Jikes()`

Method Summary
`boolean` | `compile()` Execute the compiler
`protected java.util.List` | `parseStream(java.io.BufferedReader input)` Parse the compiler error stream to produce a list of `CompilerError`s
`java.lang.String` | `toString()`
`protected java.lang.String[]` | `toStringArray(java.util.List arguments)` Copy arguments to a string array

Methods inherited from class org.apache.axis.components.compiler.AbstractCompiler
`addFile, fillArguments, getErrors, setClasspath, setDestination, setEncoding, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### Jikes

    public Jikes()

Method Detail

### toStringArray

    protected java.lang.String[] toStringArray(java.util.List arguments)

  Copy arguments to a string array

  Overrides:
    `toStringArray` in class `AbstractCompiler`
  Parameters:
    `arguments` - The compiler arguments
  Returns:
    A string array containing compilation arguments

### compile

    public boolean compile()
                    throws java.io.IOException

  Execute the compiler

    `java.io.IOException`

### parseStream

    protected java.util.List parseStream(java.io.BufferedReader input)
                                  throws java.io.IOException

  Parse the compiler error stream to produce a list of `CompilerError`s

  Specified by:
    `parseStream` in class `AbstractCompiler`
  Parameters:
    `input` - The error stream
  Returns:
    The list of compiler error messages
  Throws:
    `java.io.IOException` - If an error occurs during message collection

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.